Subject: Re: [Bitcoin-development] Signature Blocks and URI Sign Requests

From: Alan Reiner <[email-masked]>
Date: Tue, 03 Apr 2012 17:12:54 -0400

Just to clarify, I'm not proposing anything to the protocol itself.  
Simply that some applications might benefit from users being to sign 
messages with existing Bitcoin identities, and what can we do to 
accommodate that (out of band)?  It's not a high priority, but I think 
it's potentially useful, and most codebases already have everything they 
need in place to implement it.

On 04/03/2012 04:04 PM, Peter Vessenes wrote:
> I don't think it's minimally invasive to layer PGP's web of trust on 
> top of Bitcoin, in fact, the opposite.
>
> From a certain angle, bitcoin exists as a sort of answer / alternate 
> solution to the web of trust. Digital cash with an existing web of 
> trust in place was a working concept in the mid-1990s, courtesy of 
> David Chaum, I believe.
>
> I totally agree on the kitchen sink concern; I would personally like 
> to see something like a one-year required discussion period on all 
> non-security changes proposed to the blockchain protocol. We know 
> almost nothing about how bitcoin will be used over the next 20 years; 
> I believe it's a mistake to bulk up the protocol too rapidly right now.
>
> There's a famous phrase from the founder of Lotus about Lotus' 
> engineering process: "add lightness." The equivalent for protocol 
> design might be "add simplicity." I'd like to see us adding simplicity 
> for now, getting a core set of tests together for alternate 
> implementations like libbitcoin, and thinking hard about the dangers 
> of cruft over a 10+ year period when it comes to a technology which 
> will necessarily include a complete history of every crufty decision 
> embodied in transaction histories.
>
> Peter
>
>
> On Tue, Apr 3, 2012 at 1:42 PM, Wladimir <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>
>     On Tue, Apr 3, 2012 at 8:55 PM, Luke-Jr <[email-masked]
>     <mailto:[email-masked]>> wrote:
>
>         On Tuesday, April 03, 2012 2:46:17 PM Gavin Andresen wrote:
>         > We should avoid reinventing the wheel, if we can. I think we
>         should
>         > extend existing standards whenever possible.
>
>         I wonder if it's possible to make sigs compatible with PGP/EC ?
>
>
>     Or we could take a step back, further into "don't reinvent the
>     wheel" territory. Why not simply make use of PGP(/EC) to sign and
>     verify messages? It has many advantages, like an already existing
>     web-of-trust and keyserver infrastructure.
>
>     I still feel like this is sign message stuff is dragging the
>     kitchen sink into Bitcoin. It's fine for logging into a website,
>     what you use it for, but anything that approaches signing email
>     (such as S/MIME implementations and handling different character
>     encodings) is going too far IMO.
>
>     Wladimir
>
>
>     ------------------------------------------------------------------------------
>     Better than sec? Nothing is better than sec when it comes to
>     monitoring Big Data applications. Try Boundary one-second
>     resolution app monitoring today. Free.
>     http://p.sf.net/sfu/Boundary-dev2dev
>     _______________________________________________
>     Bitcoin-development mailing list
>     [email-masked]
>     <mailto:[email-masked]>
>     https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>
>
>
> -- 
>
> Peter J. Vessenes
> CEO, CoinLab
> M: 206.595.9839
>
>
> ------------------------------------------------------------------------------
> Better than sec? Nothing is better than sec when it comes to
> monitoring Big Data applications. Try Boundary one-second
> resolution app monitoring today. Free.
> http://p.sf.net/sfu/Boundary-dev2dev
>
>
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development